﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using ZarinpalCore.Models;

namespace ZarinpalCore.Controllers
{
    public class HomeController : Controller
    {

        public HomeController()
        {

        }

        public IActionResult Index()
        {
            return View();
        }

        public async Task<IActionResult> PayCash()
        {
            //تستی
            var payment = await new ZarinpalSandbox.Payment(1000).PaymentRequest("عنوان",
            //واقعی
            //var payment = await new Zarinpal.Payment("11111111-1111-1111-1111-111111111111", 1000).PaymentRequest("عنوان",
            Url.Action(nameof(PaymentForPackageVerify)));

            if (payment.Status == 100)
            {
                return Redirect(payment.Link);
            }
            else
            {
                //return errorPage;
                return RedirectToAction("ErrorPage", "Home");
            }
        }

        public async Task<IActionResult> PaymentForPackageVerify(string Authority)
        {

            //واقعی
            //var verification = await new Zarinpal.Payment("11111111-1111-1111-1111-111111111111", 1000).Verification(Authority);
            //تستی
            var verification = await new ZarinpalSandbox.Payment(1000).Verification(Authority);

            //ارسال به صفحه خطا
            if (verification.Status != 100)
            {
                return RedirectToAction("Index", "ProgrammingCourse");
            }
            return RedirectToAction("RetuenFromBankPortal");
        }
    }
}
